Database
3 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.
POST /api/v1/database/backups
Create a database backup.
Authentication: Authorization header (ApiKeyAuth)
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
DELETE /api/v1/database/backups/{id}
Delete a database backup.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Database backup filename |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
POST /api/v1/database/tables/{name}/optimize
Optimize a database table.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
name | path | string | Yes | Database table name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |